use std::path::PathBuf;

use clap::Parser;

#[derive(Debug, Parser)]
#[clap(author, version, about)]
pub struct Cli {
    #[clap(short, long)]
    pub debug: bool,

    #[clap(
        long,
        env = "FREVA_CONFIG_DIR",
        help = "directory with freva config files. If not set, defaults to OS specific default"
    )]
    pub config_dir: Option<PathBuf>,

    #[clap(flatten)]
    pub opts: IngestOpts,
}

#[derive(Debug, Parser)]
pub struct IngestOpts {
    #[clap(long)]
    pub data_dir: PathBuf,

    #[clap(long, help = "size of batches to send to solr", default_value = "50")]
    pub batch_size: usize,
}
